Subject: Re: [PATCH] IB/ehca: Change misleading error message

From: Roland Dreier <[email-masked]>
Date: Tue, 25 Nov 2008 15:13:51 -0800

> The error message printed when the eHCA driver prevents memory hotplug is
 > misleading -- the user might think that hot-removing the lhca, hotplugging
 > memory, then hot-adding the lhca again will work, but it doesn't.

That's too bad... I applied this patch but out of curiousity, why
doesn't the hot-remove/hot-add work?  I would have thought that
re-registering all of memory after the hot-add would do the right thing.